﻿namespace server.test.UDPServer;

public class UnitTest1
{
    [Fact]
    public void UDPDataDeepClone()
    {
        var udpData = new UDPData()
        {
            DateTime = DateTime.Now,
            Address = "127.0.0.1",
            Port = 1234,
            Data = new byte[] { 0xf0, 00, 00, 00 },
            HasRead = false
        };
        var cloneUdpData = udpData.DeepClone();

        Assert.Equal(udpData.DateTime, cloneUdpData.DateTime);
        Assert.Equal(udpData.Address, cloneUdpData.Address);
        Assert.Equal(udpData.Port, cloneUdpData.Port);
        Assert.Equal(udpData.Data, cloneUdpData.Data);
        Assert.Equal(udpData.HasRead, cloneUdpData.HasRead);

        udpData.DateTime = DateTime.Now;
        udpData.Address = "192.168.1.1";
        udpData.Port = 33000;
        udpData.Data = new byte[] { 0x0f, 00, 00, 00 };
        udpData.HasRead = true;

        Assert.NotEqual(udpData.DateTime, cloneUdpData.DateTime);
        Assert.NotEqual(udpData.Address, cloneUdpData.Address);
        Assert.NotEqual(udpData.Port, cloneUdpData.Port);
        Assert.NotEqual(udpData.Data, cloneUdpData.Data);
        Assert.NotEqual(udpData.HasRead, cloneUdpData.HasRead);
    }
}
